#2728 closed defect (fixed)

Pipes use wrong semaphore for mutual exclusion

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 5.1
Component: score Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

cpukit/libfs/src/pipe/fifo.c-      sc = rtems_semaphore_create(
cpukit/libfs/src/pipe/fifo.c-        rtems_build_name('P', 'I', 'P', 'E'),
cpukit/libfs/src/pipe/fifo.c-        1,
cpukit/libfs/src/pipe/fifo.c:        RTEMS_BINARY_SEMAPHORE | RTEMS_INHERIT_PRIORITY | RTEMS_PRIORITY,
cpukit/libfs/src/pipe/fifo.c-        RTEMS_NO_PRIORITY,
cpukit/libfs/src/pipe/fifo.c-        &pipe_semaphore
cpukit/libfs/src/pipe/fifo.c-      );

Should use a binary semaphore with inherit priority instead.

Change History (3)

comment:1 Changed on Jun 6, 2016 at 11:16:40 AM by Sebastian Huber <sebastian.huber@…>

Resolution: fixed
Status: newclosed

In c75aa864cf614ec2cc82598eadef6067a7dbe3db/rtems:

pipe: Use proper semaphore attr for mutex

Close #2728.

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.